CVE-2015-5157

Impact:
Moderate
Public Date:
2015-07-22
CWE:
CWE-435
Bugzilla:
1259577: CVE-2015-5157 kernel: x86-64: IRET faults during NMIs processing
A flaw was found in the way the Linux kernel handled IRET faults during the processing of NMIs. An unprivileged, local user could use this flaw to crash the system or, potentially (although highly unlikely), escalate their privileges on the system.

Find out more about CVE-2015-5157 from the MITRE CVE dictionary dictionary and NIST NVD.

Statement

This issue does affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2. Future updates in the respective releases may address this flaw.

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

CVSS v2 metrics

Base Score 6.2
Base Metrics AV:L/AC:H/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity High
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete

Find out more about Red Hat support for the Common Vulnerability Scoring System (CVSS).

Red Hat Security Errata

Platform Errata Release Date
Red Hat MRG Grid for RHEL 6 Server v.2 (kernel-rt) RHSA-2016:0224 2016-02-16
Red Hat Enterprise Linux for Real Time for NFV (v. 7) (kernel-rt) RHSA-2016:0212 2016-02-16
Red Hat Enterprise Linux 7 (kernel) RHSA-2016:0185 2016-02-16
Red Hat Enterprise Linux 6 (kernel) RHSA-2016:0715 2016-05-04

Affected Packages State

Platform Package State
Red Hat Enterprise Linux 5 kernel Will not fix
Unless explicitly stated as not affected, all previous versions of packages in any minor update stream of a product listed here should be assumed vulnerable, although may not have been subject to full analysis.
Last Modified